/*
File: CRT0TEST.CC

Author: Matthew Mastracci

Purpose: Demonstrates the proper usage of the CRT0_STARTUP_FLAGS variable.
See the standard library reference for more detailed information.
*/

#include <stdio.h>
#include <crt0.h>

int CRT0_STARTUP_FLAGS = _CRT0_FLAG_LOCK_MEMORY;

int main(void)
{
  /* All allocated memory is automatically locked at this point */
  
  return 0;
}
